{"openapi":"3.0.4","info":{"title":"Create Application","description":"Create a new Application","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/applications":{"post":{"tags":["Applications"],"summary":"Create Application","description":"Create a new Application","operationId":"CreateApplication","requestBody":{"description":"Details of the application to be created","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateApplicationRequest"},"example":{"displayName":"My First Application","clientId":"my-first-application","type":"Native"}},"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateApplicationRequest"},"example":{"displayName":"My First Application","clientId":"my-first-application","type":"Native"}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateApplicationRequest"},"example":{"displayName":"My First Application","clientId":"my-first-application","type":"Native"}},"application/*+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateApplicationRequest"},"example":{"displayName":"My First Application","clientId":"my-first-application","type":"Native"}}}},"responses":{"200":{"description":"Create Application","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/OAuthApplication"},"example":{"id":"UniqueApplicationId","type":"Native","displayName":"Example Native Application","secret":"123456789","clientId":"my-example-native-app","issuer":"https://exampleiusser.lusid.com"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}